Subject: bug#50936: "(emacs) Help" does say how to find external packages

From: Stefan Kangas <[email-masked]>
Date: Fri, 1 Oct 2021 13:48:57 +0200

In (info "(emacs) Help"), I read:

     If you are looking for a certain feature, but don’t know what it is
  called or where to look, we recommend three methods.  First, try an
  apropos command, then try searching the manual index, then look in the
  FAQ and the package keywords.
  [...]
  ‘C-h p’
       This displays the available Emacs packages based on keywords.
       *Note Package Keywords::.

The problem with this is that packages from GNU ELPA and NonGNU ELPA
aren't listed here, so the better place to look should actually be
'M-x list-packages'.  Because that's where you'll find important modes
for programming languages, etc.

I'm not sure if the recommendation should be changed, or simply
amended to also mention M-x list-packages.  Or perhaps finder should
list packages that are not installed?